routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route Categories
Route::resource('Categories', 'Categories\CategoriesController')->middleware('auth');
Route::resource('user', 'Users\UserController')->middleware('auth');
Route::resource('products', 'Products\ProductController')->middleware('auth');

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>TecnoWilly</title>
    <link rel="icon" type="image/png" href="{{ asset('/img/pc.png') }}" />


    <!-- Scripts -->
    <!-- <script src="{{ asset('js/app.js') }}" defer></script>  -->


    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">

     <!-- Icon -->
    <link rel="stylesheet" href="{{ asset('/css/font-awesome.min.css') }}">


    <!-- Custom styles for this template -->
    <link rel="stylesheet" href="{{ asset('/css/sb-admin-2.min.css') }}">

    <!-- jquery -->
    <script src="{{ asset('vendor/jquery/jquery.min.js') }}"></script>

    <!--sweetalert -->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <!-- Image_responsive -->
    <link rel="stylesheet" href="{{ asset('/css/image_responsive.css') }}">

</head>

<body id='page-top'>
    <div id="wrapper">
      @include('layouts.menu')

      <!-- Content Wrapper -->
      <div id="content-wrapper" class="d-flex flex-column">

        <!-- Main Content -->
        <div id="content">
          <!-- Navbar Laravel-->
          @include('layouts.navbar')

          <!-- Begin Page Content -->
          <div class="container-fluid">

            <!-- Content Row -->
            <div class="row">
              @yield('content')
            </div>
          </div>
        </div>

        <!-- Footer -->
        <footer class="sticky-footer bg-white">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Copyright &copy; Proyecto de Grado - Uniminuto 2019</span>
            </div>
          </div>
        </footer>
        <!-- End of Footer -->

      </div>
    </div>

   
   <!-- Bootstrap core JavaScript-->
  {{-- <script src="{{ asset('vendor/jquery/jquery.min.js') }}"></script> --}}
  <script src="{{ asset('vendor/bootstrap/js/bootstrap.bundle.min.js') }}" type="text/javascript"></script>
    
  <!-- Core plugin JavaScript-->
  <script src="{{ asset('vendor/jquery-easing/jquery.easing.min.js') }}" type="text/javascript"></script>

  <!-- Custom scripts for all pages-->
  <script  href="{{ asset('js/sb-admin-2.min.js') }}" type="text/javascript"></script>

  <!-- Page level plugins -->
  <script src="{{ asset('vendor/datatables/jquery.dataTables.min.js') }}" type="text/javascript"></script>
  <script src="{{ asset('vendor/datatables/dataTables.bootstrap4.min.js') }}" type="text/javascript"></script>
  
  <!-- Include this after the sweet alert js file -->
    @include('sweet::alert')
</body>
</html>

resources/views/layouts/menu.blade.php
    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

      <!-- Sidebar - Brand -->
      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{ url('/home') }}">
        <div class="sidebar-brand-icon rotate-n-15">
          <i class="fa fa-mixcloud"></i>
        </div>
        <div class="sidebar-brand-text mx-3">TecnoWilly<sup>
        </sup></div>
      </a>

      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">
        Parametrización
      </div>

      <!-- Nav Item - Pages Collapse Menu -->
      <li class="nav-item">
        <a class="nav-link" href="{{ route('Categories.index') }}">
          <i class="fa fa-fw fa-cog"></i>
          <span>Maestro Categorías</span>
        </a>
<!--    <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
          <div class="bg-white py-2 collapse-inner rounded">
            <a class="collapse-item" href="buttons.html">Buttons</a>
            <a class="collapse-item" href="cards.html">Cards</a>
          </div>
        </div> -->
      </li>

      <!-- Divider -->
<!--      <hr class="sidebar-divider"> -->

      <!-- Heading -->
<!-- <div class="sidebar-heading">
        Addons
      </div> -->

      <!-- Nav Item - Tables -->
      <li class="nav-item">
        <a class="nav-link" href="{{ route('products.index') }}">
          <i class="fa fa-fw fa-table"></i>
          <span>Catálogo de Productos</span></a>
      </li>

      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">
        Gestión de Usuarios
      </div>
      <!-- Nav Item - Tables -->
      <li class="nav-item">
        <a class="nav-link" href="{{ route('user.index') }}">
          <i class="fa fa-fw fa-user"></i>
          <span>Usuarios</span></a>
      </li>

      <!-- Divider -->
      <hr class="sidebar-divider d-none d-md-block">

      <!-- Sidebar Toggler (Sidebar) -->
<!--    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
      </div> -->

    </ul>
    <!-- End of Sidebar -->

resources/views/layouts/navbar.blade.php
<div id="app">
    <nav class="navbar navbar-expand-md navbar-primary  bg-white shadow-sm">
        <div class="container">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <!-- Left Side Of Navbar -->
                <ul class="navbar-nav mr-auto">

                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="navbar-nav ml-auto">
                    <!-- Authentication Links -->

                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                {{ Auth::user()->name }} <span class="caret"></span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                   onclick="event.preventDefault();
                                                 document.getElementById('logout-form').submit();">
                                    {{ __('Cerrar Sesión') }}
                                </a>
                                
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                </ul>
            </div>
        </div>
    </nav>
    <br>
</div>